Bug 13536 - DNS wildcard search does not handle multiple labels correctly.
DNS wildcard search does not handle multiple labels correctly.
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: DNS server
4.8.0
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-07-18 01:14 UTC by Gary Lockyer
Modified: 2018-08-14 11:10 UTC (History)
1 user (show)

See Also:


Attachments
Back ported patch for 4.7, 4.8 and 4.9 (5.68 KB, patch)
2018-07-22 19:48 UTC, Gary Lockyer
dbagnall: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gary Lockyer 2018-07-18 01:14:54 UTC
The DNS wild card feature added for Samba 4.8 does not handle multiple labels to the left of the wildcard portion of the name correctly.

i.e. the wildcard entry *.example.com is matched by label1.example.com but not by label2.lablel1.example.com
Comment 1 Gary Lockyer 2018-07-22 19:48:58 UTC
Created attachment 14331 [details]
Back ported patch for 4.7, 4.8 and 4.9

Cherry picked for master and tested against versions 4.7, 4.8 and 4.9
Comment 2 Douglas Bagnall 2018-07-24 21:48:56 UTC
Comment on attachment 14331 [details]
Back ported patch for 4.7, 4.8 and 4.9

Thanks Gary. RB+

Technically it should have this line above the sign-off:

BUG: https://bugzilla.samba.org/show_bug.cgi?id=13536

but I don't care very much since the bug number is in the commit title.
Comment 3 Gary Lockyer 2018-07-24 21:59:41 UTC
Re-assigning to Karolin for inclusion in 4.9.next 4.8.next, 4.7.next.
Comment 4 Karolin Seeger 2018-07-28 04:14:05 UTC
Pushed to autobuild-v4-{9,8,7}-test.
Comment 5 Karolin Seeger 2018-08-14 11:10:13 UTC
(In reply to Karolin Seeger from comment #4)
Pushed to all branches.
Closing out bug report.

Thanks!